import java.awt.*;
import java.awt.event.*;

public class PacMan extends Canvas implements ActionListener {

  private static int WIDTH = 45;
  private static int HEIGHT = 45;

  public PacMan () {
    setSize(WIDTH, HEIGHT);
    setLocation(LPMPanel.WIDTH/2, LPMPanel.HEIGHT/2);
  }

  public void paint (Graphics g) {
    g.setColor(Color.black);
    g.fillOval(0, 0, WIDTH, HEIGHT);
    g.setColor(getBackground());
    int[] xCoords = {WIDTH / 2, WIDTH, WIDTH};
    int[] yCoords = {HEIGHT / 2, HEIGHT / 4,
		     HEIGHT * 3 / 4};
    g.fillPolygon(xCoords, yCoords, 3);
  }

  public void actionPerformed (ActionEvent actionEvent) {
    Point location = getLocation();
    String actionCommand = actionEvent.getActionCommand();
    if ("left".equals(actionCommand)) {
      // Position nach links verschieben
      location.x -= 10;
    }
    else if ("right".equals(actionCommand)) {
      // Position nach rechts verschieben
      location.x += 10;
    }
    else if ("up".equals(actionCommand)) {
      // Position nach oben verschieben
      location.y -= 10;
    }
    else if ("down".equals(actionCommand)) {
      // Position nach unten verschieben
      location.y += 10;
    }
    // neu berechnete Postion wirksam machen
    setLocation(location);
    
  }
}
